DevExtreme jQuery - JSON Data

Load JSON data by assigning its URL to the dataSource option.

JavaScript
$(function() {
    $("#tagBoxContainer").dxTagBox({
        dataSource: "https://jsonplaceholder.typicode.com/users",
        valueExpr: 'username',
        displayExpr: 'name'
    });
});

Note that you can also use a JSONP callback parameter supported by jQuery.ajax().

JavaScript
$(function() {
    $("#tagBoxContainer").dxTagBox({
        dataSource: "http://www.example.com/dataservices/jsonpdata?callback=?",
        // ...
    });
});

Implement the CustomStore if you need to process data after obtaining it. See the Custom Sources topic for more details.

See Also

DevExtreme React - JSON Data

Load JSON data by assigning its URL to the dataSource option.

jQuery
JavaScript
$(function() {
    $("#tagBoxContainer").dxTagBox({
        dataSource: "https://jsonplaceholder.typicode.com/users",
        valueExpr: 'username',
        displayExpr: 'name'
    });
});
Angular
HTML
TypeScript
<dx-tag-box
    dataSource="https://jsonplaceholder.typicode.com/users"
    valueExpr="username"
    displayExpr="name">
</dx-tag-box>
import { DxTagBoxModule } from "devextreme-angular";
// ...
export class AppComponent {
    // ...
}
@NgModule({
     imports: [
         // ...
         DxTagBoxModule
     ],
     // ...
 })
Vue
<template>
    <DxTagBox
        data-source="https://jsonplaceholder.typicode.com/users"
        value-expr="username"
        display-expr="name"
    />
</template>

<script>
import 'devextreme/dist/css/dx.common.css';
import 'devextreme/dist/css/dx.light.css';

import { DxTagBox } from 'devextreme-vue/tag-box';

export default {
    components: {
        DxTagBox
    }
}
</script>
React
import React from 'react';
import 'devextreme/dist/css/dx.common.css';
import 'devextreme/dist/css/dx.light.css';

import { TagBox } from 'devextreme-react/tag-box';

class App extends React.Component {
    render() {
        return (
            <TagBox
                dataSource="https://jsonplaceholder.typicode.com/users"
                valueExpr="username"
                displayExpr="name"
            />
        );
    }
}

export default App;

Note that you can also use a JSONP callback parameter supported by jQuery.ajax().

jQuery
JavaScript
$(function() {
    $("#tagBoxContainer").dxTagBox({
        dataSource: "http://www.example.com/dataservices/jsonpdata?callback=?",
        // ...
    });
});
Angular
HTML
TypeScript
<dx-tag-box ...
    dataSource="http://www.example.com/dataservices/jsonpdata?callback=?">
</dx-tag-box>
import { DxTagBoxModule } from "devextreme-angular";
// ...
export class AppComponent {
    // ...
}
@NgModule({
     imports: [
         // ...
         DxTagBoxModule
     ],
     // ...
 })
Vue
<template>
    <DxTagBox ...
        data-source="http://www.example.com/dataservices/jsonpdata?callback=?"
    />
</template>

<script>
import 'devextreme/dist/css/dx.common.css';
import 'devextreme/dist/css/dx.light.css';

import { DxTagBox } from 'devextreme-vue/tag-box';

export default {
    components: {
        DxTagBox
    }
}
</script>
React
import React from 'react';
import 'devextreme/dist/css/dx.common.css';
import 'devextreme/dist/css/dx.light.css';

import { TagBox } from 'devextreme-react/tag-box';

class App extends React.Component {
    render() {
        return (
            <TagBox ...
                dataSource="http://www.example.com/dataservices/jsonpdata?callback=?"
            />
        );
    }
}

export default App;

Implement the CustomStore if you need to process data after obtaining it. See the Custom Sources topic for more details.

See Also